Skip to main content
PATCH
/
v1
/
orgs
/
{org_id}
/
agents
/
{agent_id}
Update Agent
curl --request PATCH \
  --url https://api.letpiper.com/v1/orgs/{org_id}/agents/{agent_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "internal_name": "<string>",
  "primary_task_description": "<string>",
  "business_information_override": "<string>",
  "model_provider": "openai",
  "model_name": "<string>",
  "temperature": 1,
  "reasoning_effort": "<string>",
  "languages": [
    "<string>"
  ],
  "is_active": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "internal_name": "<string>",
  "primary_task_description": "<string>",
  "business_information": "<string>",
  "business_information_override": "<string>",
  "model_provider": "openai",
  "model_name": "<string>",
  "temperature": 123,
  "reasoning_effort": "<string>",
  "is_active": true,
  "languages": [
    "<string>"
  ],
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
agent_id
string<uuid>
required

Body

application/json

Schema for updating an agent.

name
string | null
Required string length: 1 - 255
internal_name
string | null
Maximum string length: 255
primary_task_description
string | null
Maximum string length: 15000
business_information_override
string | null
Maximum string length: 10000
model_provider
enum<string> | null

Supported LLM providers.

Available options:
openai,
anthropic,
azure_openai,
bedrock,
vertex_ai,
groq,
google,
together,
cerebras,
fireworks,
piper
model_name
string | null
Maximum string length: 255
temperature
number | null
Required range: 0 <= x <= 2
reasoning_effort
string | null
Pattern: ^(low|medium|high)$
languages
string[] | null
is_active
boolean | null

Response

Successful Response

Schema for agent responses.

id
string<uuid>
required
name
string
required
internal_name
string | null
required
primary_task_description
string
required
business_information
string | null
required
business_information_override
string | null
required
model_provider
enum<string> | null
required

Supported LLM providers.

Available options:
openai,
anthropic,
azure_openai,
bedrock,
vertex_ai,
groq,
google,
together,
cerebras,
fireworks,
piper
model_name
string | null
required
temperature
number | null
required
reasoning_effort
string | null
required
is_active
boolean
required
languages
string[]
required
organization_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required